Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.cfg.logger
Interface ConfigLogger

    public interface ConfigLogger

The `ConfigLogger` takes charge of managing and associating logger's properties.

Since:
  V8

Field Summary
`static java.lang.String[]` | `ERROR_LEVELS` Properties for logger error levels contain OFF, OUTLINE, INFO, TRIVAL.
`static java.lang.String` | `LEVEL_ALL` Property for logger level ALL.
`static java.lang.String` | `LEVEL_DEBUG` Property for logger level DEBUG.
`static java.lang.String` | `LEVEL_ERROR` Property for logger level ERROR.
`static java.lang.String` | `LEVEL_FATAL` Property for logger level FATAL.
`static java.lang.String` | `LEVEL_INFO` Property for logger level INFO.
`static java.lang.String` | `LEVEL_OFF` Property for logger level OFF.
`static java.lang.String` | `LEVEL_OUTLINE` Property for logger level OUTLINE.
`static java.lang.String` | `LEVEL_TRIVIAL` Property for logger level TRIVIAL.
`static java.lang.String` | `LEVEL_WARN` Property for logger level WARN.
`static java.lang.String[]` | `LEVELS` Properties for logger levels contain LEVEL_OFF,LEVEL_FATAL,LEVEL_ERROR LEVEL_WARN,LEVEL_INFO,LEVEL_DEBUG, LEVEL_ALL.
`static java.lang.String` | `LOG_ACCESS` Property for logger type Access.
`static java.lang.String` | `LOG_DEBUG` Property for logger type Debug.
`static java.lang.String` | `LOG_DHTML` Property for logger type Page Report.
`static java.lang.String` | `LOG_DUMP` Property for logger type Dump.
`static java.lang.String` | `LOG_ENGINE` Property for logger type Engine.
`static java.lang.String` | `LOG_ERROR` Property for logger type Error.
`static java.lang.String` | `LOG_EVENT` Property for logger type Event.
`static java.lang.String` | `LOG_MANAGE` Property for logger type Manage.
`static java.lang.String` | `LOG_PERFORMANCE` Property for logger type Performance.
`static java.lang.String` | `LOG_ROOT` Property for logger type Root.
`static java.lang.String[]` | `TRACE_LEVELS` Properties for logger trace levels contain OFF, OUTLINE, INFO, TRIVAL.

Method Summary
`ConfigAppender[]` | `getAppenders()` Gets all output destinations (log4j's appenders) provided by JReport Server loggers.
`java.lang.String` | `getDescription()` Gets the logger description.
`java.lang.String` | `getErrorLevel()` Gets the logger's error level.
`java.lang.String` | `getLevel()` Deprecated. Please use customized error/trace level methods.
`java.lang.String` | `getName()` Gets the logger's display name.
`java.lang.String` | `getTraceLevel()` Gets the logger's trace level.
`boolean` | `isAdditivity()` Checks whether the additivity of the logger is true.
`void` | `setAdditivity(boolean value)` Sets if the logger's property has been changed.
`void` | `setErrorLevel(java.lang.String value)` Sets the logger's error level value.
`void` | `setLevel(java.lang.String value)` Sets the logger level value.
`void` | `setTraceLevel(java.lang.String value)` Sets the logger's trace level value.

Field Detail

### LOG_ENGINE

    static final java.lang.String LOG_ENGINE

  Property for logger type Engine.

  See Also:
    Constant Field Values

### LOG_DHTML

    static final java.lang.String LOG_DHTML

  Property for logger type Page Report.

  See Also:
    Constant Field Values

### LOG_ACCESS

    static final java.lang.String LOG_ACCESS

  Property for logger type Access.

  See Also:
    Constant Field Values

### LOG_MANAGE

    static final java.lang.String LOG_MANAGE

  Property for logger type Manage.

  See Also:
    Constant Field Values

### LOG_ERROR

    static final java.lang.String LOG_ERROR

  Property for logger type Error.

  See Also:
    Constant Field Values

### LOG_EVENT

    static final java.lang.String LOG_EVENT

  Property for logger type Event.

  See Also:
    Constant Field Values

### LOG_DEBUG

    static final java.lang.String LOG_DEBUG

  Property for logger type Debug.

  See Also:
    Constant Field Values

### LOG_PERFORMANCE

    static final java.lang.String LOG_PERFORMANCE

  Property for logger type Performance.

  See Also:
    Constant Field Values

### LOG_ROOT

    static final java.lang.String LOG_ROOT

  Property for logger type Root.

  See Also:
    Constant Field Values

### LOG_DUMP

    static final java.lang.String LOG_DUMP

  Property for logger type Dump.

  See Also:
    Constant Field Values

### LEVEL_OFF

    static final java.lang.String LEVEL_OFF

  Property for logger level OFF.

  See Also:
    Constant Field Values

### LEVEL_FATAL

    static final java.lang.String LEVEL_FATAL

  Property for logger level FATAL.

  See Also:
    Constant Field Values

### LEVEL_ERROR

    static final java.lang.String LEVEL_ERROR

  Property for logger level ERROR.

  See Also:
    Constant Field Values

### LEVEL_WARN

    static final java.lang.String LEVEL_WARN

  Property for logger level WARN.

  See Also:
    Constant Field Values

### LEVEL_INFO

    static final java.lang.String LEVEL_INFO

  Property for logger level INFO.

  See Also:
    Constant Field Values

### LEVEL_DEBUG

    static final java.lang.String LEVEL_DEBUG

  Property for logger level DEBUG.

  See Also:
    Constant Field Values

### LEVEL_ALL

    static final java.lang.String LEVEL_ALL

  Property for logger level ALL.

  See Also:
    Constant Field Values

### LEVEL_OUTLINE

    static final java.lang.String LEVEL_OUTLINE

  Property for logger level OUTLINE.

  See Also:
    Constant Field Values

### LEVEL_TRIVIAL

    static final java.lang.String LEVEL_TRIVIAL

  Property for logger level TRIVIAL.

  See Also:
    Constant Field Values

### LEVELS

    static final java.lang.String[] LEVELS

  Properties for logger levels contain LEVEL_OFF,LEVEL_FATAL,LEVEL_ERROR LEVEL_WARN,LEVEL_INFO,LEVEL_DEBUG, LEVEL_ALL.

### TRACE_LEVELS

    static final java.lang.String[] TRACE_LEVELS

  Properties for logger trace levels contain OFF, OUTLINE, INFO, TRIVAL.

### ERROR_LEVELS

    static final java.lang.String[] ERROR_LEVELS

  Properties for logger error levels contain OFF, OUTLINE, INFO, TRIVAL.

Method Detail

### getName

    java.lang.String getName()

  Gets the logger's display name.

  Returns:
    the logger's display name.

### getDescription

    java.lang.String getDescription()

  Gets the logger description.

  Returns:
    the logger description.

### getLevel

    java.lang.String getLevel()

  Deprecated. Please use customized error/trace level methods.

  Gets the logger current level. Note: the JReport Server logger can only support the following possible levels:

              "OFF"
              "FATAL"
              "ERROR"
              "WARN"
              "INFO"
              "DEBUG"
              "ALL"

  Returns:
    the logger level.

### getErrorLevel

    java.lang.String getErrorLevel()

  Gets the logger's error level. Note: the JReport Server logger's error level can only support the following possible values:

              "FATAL"
              "ERROR"
              "WARN"

  Returns:
    the logger's error level.

### getTraceLevel

    java.lang.String getTraceLevel()

  Gets the logger's trace level. Note: the JReport Server logger's trace level can only support the following possible values:

              "OUTLINE"
              "INFO"
              "TRIVIAL"
              "ALL"

  Returns:
    the logger's trace level.

### setErrorLevel

    void setErrorLevel(java.lang.String value)

  Sets the logger's error level value.

  Parameters:
    `value` - the specified level value.

### setTraceLevel

    void setTraceLevel(java.lang.String value)

  Sets the logger's trace level value.

  Parameters:
    `value` - the specified level value.

### setLevel

    void setLevel(java.lang.String value)

  Sets the logger level value.

  Parameters:
    `value` - the specified level value.

### isAdditivity

    boolean isAdditivity()

  Checks whether the additivity of the logger is true.

  Returns:
    true if the logger's Additivity is valid, or else false.

### setAdditivity

    void setAdditivity(boolean value)

  Sets if the logger's property has been changed.

  Parameters:
    `value` - new Additivity boolean value.

### getAppenders

    ConfigAppender[] getAppenders()

  Gets all output destinations (log4j's appenders) provided by JReport Server loggers.

  Returns:
    all output destinations.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD